<template>
	<view class="container">
		<view class="vheigh"></view>
		<view class="top-image">
			<image src="../../static/img/user-top.png" mode=""></image>
		</view>
		<view class="user-section flex">
			<view class="detail" @click="navTo('/pages/set/userinfo')">
				<view class="portrait-box">
					<image class="portrait" :src="userInfo.avatar || '/static/error/missing-face.png'"></image>
				</view>
				<view class="info-box">
					<view class="username">{{ userInfo.nickname || '游客' }}</view>
					<view class="phone" v-if="userInfo.phone">{{ userInfo.phone }}</view>
				</view>
			</view>
			<view class="config" v-if="userInfo.level != 0">
				<view class="setting">
					<image src="../../static/icon/set.png" mode=""></image>
				</view>
				<view class="config-font">{{userInfo.name}}</view>
			</view>
		</view>
		<view class="user-money flex">
			<view class="user-money-item" @click="navTo('/pages/user/yue')">
				<view class="user-money-num">{{ userInfo.now_money*1 || 0 }}</view>
				<view class="user-money-font">余额</view>
			</view>
			<view class="user-xian"></view>
			<view class="user-money-item" @click="navTo('/pages/user/award')">
				<view class="user-money-num">{{ userInfo.brokerage_price*1 || 0 }}</view>
				<view class="user-money-font">佣金</view>
			</view>
		</view>
		<view class="user-box">
			<view class="user-list flex" @click="navTo('/pages/user/shareQrCode')">
				<view class="user-list-image">
					<image src="../../static/icon/u1.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					推广海报
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view>
			<view class="user-list flex" @click="navTo('/pages/order/order?state=0')">
				<view class="user-list-image">
					<image src="../../static/icon/u7.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					我的订单
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view>
			<!-- <view class="user-list flex" @click="navTo('/pages/user/award')">
				<view class="user-list-image">
					<image src="../../static/icon/u8.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					我的佣金
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view> -->
			<view class="user-list flex" @click="navTo('/pages/user/team')">
				<view class="user-list-image">
					<image src="../../static/icon/u2.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					我的推广
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view>
			<!-- <view class="user-list flex" @click="navTo('/pages/user/shareQrCode')">
				<view class="user-list-image flex">
					<image src="../../static/icon/u3.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					关于我们
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view> -->
			<view class="user-list flex" @click="openKf()">
				<view class="user-list-image">
					<image src="../../static/icon/u4.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					客服
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view>
			<view class="user-list flex" @click="navTo('/pages/set/userinfo')">
				<view class="user-list-image">
					<image src="../../static/icon/u5.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					设置
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view>
			<view class="user-list flex" @click="sao()" v-if="userInfo.adminid">
				<view class="user-list-image">
					<image src="../../static/icon/u6.png" mode="heightFix" class="left-img"></image>
				</view>
				<view class="user-list-tit">
					扫码核销
				</view>
				<image src="../../static/icon/back.png" mode="heightFix" class="right-img"></image>
			</view>
		</view>
		<view class="" style="height: 20rpx;">
		</view>
		<uni-popup ref="popupkf" type="center">
			<view class="popup-box">
				<view class="img">
					<image src="../../static/img/img009.png" mode=""></image>
				</view>
				<view class="mian">
					<view class="delivery">
						<view class="title">已经为您定制专属客服</view>
						<image src="../../static/img/img010.png" mode=""></image>
					</view>
					<view class="nocancel">客服VX:{{ text }}</view>
					<view class="comfirm-box">
						<view class="cancel" @click="cancel">取消</view>
						<view class="comfirm" @click="comfirm(text)">复制微信</view>
					</view>
				</view>
			</view>
		</uni-popup>
		<uni-popup ref="popuphx" class="agree-wrapper">
			<view class="hx-wrapper">
				<view class="hx-img">
					<image src="../../static/img/hxbg.png" mode=""></image>
				</view>
				<view class="hx-body">
					<view class="hx-title">输入核销码核销</view>
					<input type="text" v-model="code" placeholder="请输入核销码" placeholder-class="hx-placeholder" />
					<input type="number" v-model="num" placeholder="请输入核销数量" placeholder-class="hx-placeholder" />
					<view class="hx-btn" @click="qhx">立即核销</view>
				</view>
				<view class="hx-close" @click="close">
					<image src="../../static/icon/close.png" mode=""></image>
				</view>
			</view>
		</uni-popup>
	</view>
</template>
<script>
	import {
		mapState,
		mapMutations
	} from 'vuex';
	import uniList from '@/components/uni-list/uni-list.vue';
	import uniListItem from '@/components/uni-list-item/uni-list-item.vue';
	import {
		orderData,
		getUserInfo,
		check
	} from '@/api/user.js';
	import {
		saveUrl,
		interceptor
	} from '@/utils/loginUtils.js';
	let startY = 0,
		moveY = 0,
		pageAtTop = true;
	export default {
		components: {
			uniList,
			uniListItem
		},
		data() {
			return {
				current: 2,
				id: '', //是否已签到
				store_name: '',
				achievement: '',
				code: '',
				num: '',
				text: 'sy13967626944' //客服微信
			};
		},
		onShow() {
			// 判断是否已经登录
			// if (this.hasLogin) {
			// 	this.loadBaseData();
			// }
			this.loadBaseData();
		},
		filters: {
			phone(e) {
				var subStr1 = e.substr(0, 3);
				var subStr2 = e.substr(e.length - 4, 4);
				var subStr = subStr1 + '...' + subStr2;
				e = subStr;
				return e;
			}
		},
		onReady() {
			// 初始化获取页面宽度
			uni.createSelectorQuery()
				.select('.container')
				.fields({
						size: true
					},
					data => {
						// 计算最多下拉的高度
						this.userDowm = Math.floor((data.width / 750) * 185);
						// 计算最大触发修改高度事件
						this.userMaxDowm = Math.floor((data.width / 750) * 250);
					}
				)
				.exec();
		},
		computed: {
			...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
		},
		methods: {
			...mapMutations('user', ['setUserInfo', 'login']),
			qhx() {
				check({
						verify_code: this.code,
						frequency: this.num,
						is_confirm: 1 //1是核销，0是查看
					})
					.then(e => {
						this.$api.msg('核销成功');
						this.close();
						this.code = '';
						this.num = '';
					})
					.catch(e => {
						this.code = '';
						this.num = '';
						console.log(e);
					});
			},
			sao() {
				let obj = this;
				// console.log(111);
				// obj.$refs.popuphx.open();
				// #ifndef H5
				uni.scanCode({
					success(e) {
						obj.code = e.result;
						obj.$refs.popuphx.open();
						console.log(obj.$refs.popuphx);
					}
				});
				// #endif
			},
			comfirm(text) {
				console.log(text);
				const result = this.uniCopy(text);
				if (result === false) {
					uni.showToast({
						title: '不支持'
					});
				} else {
					uni.showToast({
						title: '复制成功',
						icon: 'none'
					});
				}
				this.$refs.popupkf.close();
			},
			uniCopy(content) {
				/**
				 * 小程序端 和 app端的复制逻辑
				 */
				//#ifndef H5
				uni.setClipboardData({
					data: content,
					success: function() {
						console.log('success');
						return true;
					}
				});
				//#endif

				/**
				 * H5端的复制逻辑
				 */
				// #ifdef H5
				if (!document.queryCommandSupported('copy')) {
					//为了兼容有些浏览器 queryCommandSupported 的判断
					// 不支持
					return false;
				}
				let textarea = document.createElement('textarea');
				textarea.value = content;
				textarea.readOnly = 'readOnly';
				document.body.appendChild(textarea);
				textarea.select(); // 选择对象
				textarea.setSelectionRange(0, content.length); //核心
				let result = document.execCommand('copy'); // 执行浏览器复制命令
				textarea.remove();
				return result;
				// #endif
			},
			// 加载初始数据
			loadBaseData() {
				getUserInfo({})
					.then(({
						data
					}) => {
						console.log(data.nickname)
						this.login()
						this.setUserInfo(data);
						if (data.nickname == '微信用户') {
							uni.showModal({
								title: '提示',
								content: '您暂未设置用户名，头像。是否前往设置',
								showCancel: false,
								success: function(res) {
									if (res.confirm) {
										uni.navigateTo({
											url: '/pages/set/userinfo'
										});
									} else if (res.cancel) {}
								}
							});
						}
					})
					.catch(e => {
						console.log(e);
					});
			},
			/**
			 * 统一跳转接口,拦截未登录路由
			 * navigator标签现在默认没有转场动画，所以用view
			 */
			navTo(url) {
				console.log(url);
				console.log(this.hasLogin, 'haslogin')
				if (!this.hasLogin) {
					// 保存地址
					saveUrl();
					// 登录拦截
					interceptor();
				} else {
					uni.navigateTo({
						url
					});
				}
			},
			close() {
				this.$refs.popuphx.close();
				this.code = '';
			},
			// 打开客服
			openKf() {
				this.$refs.popupkf.open();
			},
			// 关闭客服
			cancel() {
				this.$refs.popupkf.close();
			},
			// 打开绑定
			open() {
				this.$refs.gspass.open();
			},
			cast() {
				set_waiter({
						uid: this.id
					})
					.then(e => {
						this.$api.msg('绑定成功');
						this.$refs.gspass.close();
						this.id = '';
					})
					.catch(err => {
						this.$refs.gspass.close();
						this.id = '';
					});
			},
			cancelpass() {
				this.$refs.gspass.close();
				this.id = '';
			}
		}
	};
</script>
<style lang="scss">
	%flex-center {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}

	%section {
		display: flex;
		justify-content: space-around;
		align-content: center;
		background: #fff;
		border-radius: 10rpx;
	}

	.container,
	page {
		min-height: 100%;
		height: auto;
		background-color: #fbfcfe;
	}

	.vheigh {
		height: var(--status-bar-height);
	}

	.top-image {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		height: 529rpx;

		image {
			width: 100%;
			height: 100%;
		}
	}

	.popup-box {
		width: 522rpx;
		height: 605rpx;
		background-color: #ffffff;
		border-radius: 20rpx;
		position: relative;

		.img {
			position: relative;
			top: -56rpx;
			left: 0;
			width: 522rpx;
			height: 132rpx;
			display: flex;
			justify-content: center;

			image {
				border-radius: 20rpx 20rpx 0 0;
				width: 450rpx;
				height: 132rpx;
			}
		}

		.mian {
			margin-top: -44rpx;
			display: flex;
			flex-direction: column;
			align-items: center;
			// padding: 32rpx 32rpx;
			background-color: #ffffff;
			border-radius: 0 0 20rpx 20rpx;
			text-align: center;

			.delivery {
				font-size: 40rpx;
				color: #333333;
				display: flex;
				align-items: center;
				flex-direction: column;

				image {
					margin-top: 48rpx;
					width: 172rpx;
					height: 160rpx;
				}
			}

			.nocancel {
				font-size: 32rpx;
				color: #333333;
				margin-top: 14rpx;
			}

			.comfirm-box {
				margin-top: 52rpx;
				display: flex;
				// margin-bottom: 32rpx;

				// justify-content: space-around;
				.cancel {
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					border: 1px solid #dcc786;
					border-radius: 38rpx;

					font-size: 32rpx;
					color: #605128;
				}

				.comfirm {
					margin-left: 32rpx;
					display: flex;
					align-items: center;
					justify-content: center;
					width: 197rpx;
					height: 74rpx;
					background: linear-gradient(-90deg, #d1ba77 0%, #f7e8ad 100%);
					border-radius: 38px;
					font-size: 32rpx;
					color: #605128;
				}
			}
		}
	}

	.user-section {
		padding: 112rpx 0 0 38rpx;
		position: relative;
		z-index: 10;

		.detail {
			display: flex;
			align-items: center;

			.portrait-box {
				height: 120rpx;
				width: 120rpx;

				.portrait {
					width: 100%;
					height: 100%;
					border: 4rpx solid #fff;
					border-radius: 50%;
				}
			}

			.info-box {
				margin-left: 20rpx;
				line-height: 1;

				.username {
					font-size: 32rpx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #333333;
				}

				.phone {
					font-size: 25rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #333333;
					margin-top: 18rpx;
				}
			}
		}

		.config {
			width: 161rpx;
			height: 51rpx;
			background: #ffffff;
			border-radius: 25rpx;
			display: flex;
			justify-content: center;
			align-items: center;
			position: relative;

			.setting {
				position: absolute;
				top: 0;
				left: 0;
				right: 0;
				width: 100%;
				height: 100%;

				image {
					width: 100%;
					height: 100%;
				}
			}

			.config-font {
				position: relative;
				margin-left: 10rpx;
				font-size: 24rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #93794B;
			}
		}
	}

	.user-money {
		position: relative;
		z-index: 2;
		width: 100%;
		margin-top: 50rpx;
		justify-content: center;

		.user-money-item {
			width: 50%;
			display: flex;
			flex-direction: column;
			justify-content: center;
			align-items: center;

			.user-money-num {
				font-size: 36rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #000000;
			}

			.user-money-font {
				margin-top: 20rpx;
				font-size: $ltl-size-lg;
				font-weight: 500;
				color: #000000;
			}
		}

		.user-xian {
			width: 1px;
			height: 77rpx;
			background: #ababab;
		}
	}


	.tool-list {
		width: 690rpx;
		margin: 20rpx auto 0;
		background: #ffffff;
		box-shadow: 0px 0px 20rpx 0px rgba(50, 50, 52, 0.06);
		border-radius: 20rpx;
	}

	.psw-wrapper {
		width: 548rpx;
		padding: 20rpx 0;
		background-color: #ffffff;
		border-radius: 15rpx 15rpx;

		.psw-title {
			width: 100%;
			font-size: 35rpx;
			padding: 0 0 40rpx;
			text-align: center;
			font-weight: 800;
		}

		.psw-content {
			width: 100%;
			font-size: 32rpx;
			text-align: center;
		}

		.psw-price {
			font-weight: bold;
			font-size: 68rpx;
			text-align: center;
			padding-top: 10rpx;
		}

		.psw-jg {
			height: 1px;
			width: 500rpx;
			background-color: #eee;
			margin: auto;
		}

		.psw-paytype {
			justify-content: space-between;
			padding: 10rpx 25rpx 30rpx;
			font-size: 26rpx;
		}

		.psw-ipt {
			display: block;
			background-color: #dce3ed;
			height: 90rpx;
			width: 464rpx;
			padding-left: 30rpx;
			margin: 0 auto;
			font-size: 80rpx;
		}

		.psw-btn text {
			display: inline-block;
			text-align: center;
			width: 50%;
			padding-top: 29rpx;
			font-size: 35rpx;
		}

		.psw-qd {
			color: #ff4c4c;
		}
	}

	.hx-wrapper {
		width: 536rpx;
		height: 720rpx;
		position: relative;

		// background-color: #fff;
		.hx-img {
			width: 536rpx;
			height: 281rpx;

			image {
				width: 536rpx;
				height: 281rpx;
			}
		}

		.hx-close {
			position: absolute;
			left: 243rpx;
			bottom: -80rpx;
			width: 52rpx;
			height: 52rpx;

			image {
				width: 52rpx;
				height: 52rpx;
			}
		}

		.hx-body {
			width: 536rpx;
			height: 450rpx;
			background-color: #fff;
			border-radius: 0 0 10rpx 10rpx;

			.hx-title {
				width: 536rpx;
				font-size: 36rpx;
				font-weight: 500;
				color: #333333;
				line-height: 1;
				padding-top: 42rpx;
				text-align: center;
			}

			input {
				width: 439rpx;
				height: 68rpx;
				background: #dbf3e9;
				border-radius: 10rpx;
				margin: 39rpx auto 0;
				padding-left: 26rpx;

				.hx-placeholder {
					font-size: 26rpx;
					font-weight: 500;
					color: #ff4c4c;
				}
			}

			.hx-btn {
				margin: 44rpx auto 0;
				width: 353rpx;
				height: 71rpx;
				background: #ff4c4c;
				border-radius: 34rpx;
				font-size: 36rpx;
				font-weight: 500;
				color: #f8f9f9;
				line-height: 71rpx;
				text-align: center;
			}
		}
	}

	.user-list {
		width: 691rpx;
		height: 104rpx;
		background: #FFFFFF;
		box-shadow: 0rpx 0rpx 20rpx 0rpx rgba(50, 50, 52, 0.06);
		border-radius: 28rpx;
		margin: 20rpx auto 0;
		padding: 0 25rpx;

		.user-list-image {
			width: 60rpx;

			.left-img {
				display: block;
				height: 40rpx;
			}
		}


		.user-list-tit {
			padding-left: 20rpx;
			flex-grow: 1;
			font-size: 29rpx;
			font-weight: bold;
			color: #5D5D5D;
		}

		.right-img {
			width: 13rpx;
			height: 23rpx;
		}
	}

	.user-box {
		position: relative;
		z-index: 2;
		margin-top: 40rpx;
	}
</style>